Package org.acplt.oncrpc

## Class XdrVoid

- java.lang.Object
- - org.acplt.oncrpc.XdrVoid

- All Implemented Interfaces:
    `XdrAble`

      public class XdrVoid
      extends java.lang.Object
      implements XdrAble

  Instances of the class `XdrVoid` represent (de-)serializeable voids, which are especially useful in cases where no result is expected from a remote function call or no parameters are supplied.

  Please note that this class is somewhat modelled after Java's primitive data type wrappers. As for these classes, the XDR data type wrapper classes follow the concept of values with no identity, so you are not allowed to change the value after you've created a value object.

  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:41 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XdrVoid` | `XDR_VOID` | Static `XdrVoid` instance, which can be used in cases where no data is to be serialized or deserialized but some ONC/RPC function expects a reference to a XDR-able object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XdrVoid()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `xdrDecode​(XdrDecodingStream xdr)` | Decodes -- that is: deserializes -- a void from a XDR stream in compliance to RFC 1832.
    `void` | `xdrEncode​(XdrEncodingStream xdr)` | Encodes -- that is: serializes -- a void into a XDR stream in compliance to RFC 1832.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XDR_VOID

          public static final XdrVoid XDR_VOID

      Static `XdrVoid` instance, which can be used in cases where no data is to be serialized or deserialized but some ONC/RPC function expects a reference to a XDR-able object.

  - ### Constructor Detail

    - #### XdrVoid

          public XdrVoid()

  - ### Method Detail

    - #### xdrEncode

          public void xdrEncode​(XdrEncodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Encodes -- that is: serializes -- a void into a XDR stream in compliance to RFC 1832.
      Specified by:
        `xdrEncode` in interface `XdrAble`
      Parameters:
        `xdr` - XDR stream to which information is sent for encoding.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.

    - #### xdrDecode

          public void xdrDecode​(XdrDecodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Decodes -- that is: deserializes -- a void from a XDR stream in compliance to RFC 1832.
      Specified by:
        `xdrDecode` in interface `XdrAble`
      Parameters:
        `xdr` - XDR stream from which decoded information is retrieved.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.